Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1576092 - system-config-users defaults to uid 65535
Summary: system-config-users defaults to uid 65535
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-users
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Moez Roy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1640241 1670783 (view as bug list)
Depends On: 1732635
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-08 19:30 UTC by Gabriel Somlo
Modified: 2020-05-26 16:41 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:41:29 UTC
Type: Bug


Attachments (Terms of Use)

Description Gabriel Somlo 2018-05-08 19:30:34 UTC
Description of problem:
When using system-config-users to create first user on a new system, the list comes pre-populated with "nobody" (uid = 65534, see https://fedoraproject.org/wiki/Changes/RenameNobodyUser), which causes the default uid of the first new user I add to be 65535, which then causes lightdm to freeze upon login as that new user. Any additional user(s) starting at uid 65536 can log in without problems, which leads me to believe 65535 is not a "good" uid to have. Besides, /etc/login.defs defaults to UID_[MIN|MAX] of 1000 .. 60000, so blindly picking anything larger just because there's already one listed (nobody) is probably not the correct behavior. Probably, "nobody" shouldn't even show up in system-configu-users to begin with!

Version-Release number of selected component (if applicable):
system-config-users-1.3.8-5.fc28.noarch
shadow-utils-4.5-9.fc28.x86_64
lightdm-1.25.2-1.fc28.x86_64

How reproducible:
create very first user after install with system-config-users

Steps to Reproduce:
1. install fresh machine (server in my case) with lightdm and mate
2. log in remotely (ssh root@new-box -Y) and launch system-config-users


Actual results:
"nobody" with uid=65534 is already listed, new user defaults to 65535

Expected results:
nobody (65534) isn't listed and/or default new uid for new user starts at 1000

Comment 1 Gabriel Somlo 2018-05-08 19:32:45 UTC
I should add that there's an easy/obvious workaround -- just manually pick the uid for new user(s); however, it took me 30 minutes to figure out just what was wrong -- so I'm hoping at least this will help others avoid that...

Comment 2 Villy Kruse 2019-01-25 05:49:47 UTC
In the old days you had this in /etc/passwd

nobody:x:99:99:Nobody:/:/sbin/nologin
nfsnobody:x:65534:65534:Anonymous NFS User:/var/lib/nfs:/sbin/nologin

In that case it works properly.

Now user "nobody" is now 65534 and "nfsnobody" is no more.

Then the user "nobody" is taken as the regular user with the highest user id and the next generated user id will be 65535

Comment 3 Miro Hrončok 2019-02-02 08:24:16 UTC
*** Bug 1670783 has been marked as a duplicate of this bug. ***

Comment 4 Miro Hrončok 2019-02-02 08:24:23 UTC
*** Bug 1640241 has been marked as a duplicate of this bug. ***

Comment 5 Ben Cotton 2019-05-02 19:56:38 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Villy Kruse 2019-07-28 12:38:36 UTC
Maybe the package "mate-user-admin" could replace this package.  See bug 1732687

Comment 7 Sergio 2019-08-21 19:40:19 UTC
(In reply to Villy Kruse from comment #6)
> Maybe the package "mate-user-admin" could replace this package.  See bug
> 1732687

I don't think so. It does manage adding/removing users and groups but it seems geared towards MATE specific things. I'm on Xfce and tried to set a new user with the option to 'set password afterwards' (or the like) but I couldn't set the new password in the lightdm dialog that popped up when trying to login. It has also a 'auto-login' toggle that can maybe work only with some specific display manager.

The system-config-* tools were so functional and easy to use, pity they aren't being maintained just because they don't fit in GNOME3.

Comment 8 Villy Kruse 2019-08-21 21:36:11 UTC
(In reply to Sergio from comment #7)
> (In reply to Villy Kruse from comment #6)
> > Maybe the package "mate-user-admin" could replace this package.  See bug
> > 1732687
> 
> I don't think so. It does manage adding/removing users and groups but it
> seems geared towards MATE specific things. I'm on Xfce and tried to set a
> new user with the option to 'set password afterwards' (or the like) but I
> couldn't set the new password in the lightdm dialog that popped up when
> trying to login. It has also a 'auto-login' toggle that can maybe work only
> with some specific display manager.
> 


MATE is using lightdm as display manager as well.

Comment 9 Ben Cotton 2020-04-30 21:18:36 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Ben Cotton 2020-05-26 16:41:29 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.